Jupiter - Zadanie #1809
Optymalizacja komunikacji z infong podczas procesu publikaciji
2017-08-22 08:59 - Michat Komar

Status: Nowy Start date: 2017-08-22
Priority: Normalny Due date:

Assignee: tukasz Waskiewicz % Done: 0%
Category: integracja Estimated time: 0.00 hour
Target version: 0.4

Developer: tukasz Waskiewicz Tester: Michat Komar
Description

Problem polega na niepotrzebnym pobieraniu petnych tekstéw z infony nawet, gdy nie zostaty one w zaden sposéb zmodyfikowane.
Problematyczna jest operacja addOrReplace na mongo, ktéra wymaga wszystkich danych powigzanych z rekordem.
Istniejg 2 mozliwosci rozwigzania tego problemu:

1. Modyfikacja addOrReplace na infonie -> gdy identyfikator parta jest taki sam, nie usuwamy istniejacego, a wigzemy go z
przychodzgacym rekordem

2. Skorzystanie z addOrUpdate -> przy publikacji, nalezy zweryfikowac, ktére party zostaty zmodyfikowane/usunigte i wykonac
odpowiednie operacje na BatchBuilderze - moze sig tez okazac, ze trzeba wykonac jakies$ operacje na tagach.

Related issues:
Related to Jupiter - Zadanie # 1731: obstuzy¢ publikacje zatagcznikéw infonowych Rozwiagzany 2017-06-09 2017-06-09

History

#1 - 2017-08-22 09:00 - Michat Komar
- Related to Zadanie #1731: obstuzyc¢ publikacje zatgcznikéw infonowych added

#2 - 2017-08-24 10:43 - Michat Komar

- Assignee changed from Michat Komar to tukasz Waskiewicz
